Bug 6067 (int-153495)

Summary: Media player becomes unusable if a dialog is open when opening a stream link from browser
Product: [Maemo Official Applications] Media player Reporter: Vesa-Matti Hyppönen <vesa.hypponen>
Component: GeneralAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: media-player-bugs
Severity: normal    
Priority: Low CC: andre_klapper, jpetersen, michael
Version: 5.0/(3.2010.02-8)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: All   
OS: Linux   

Description Vesa-Matti Hyppönen (reporter) 2009-11-06 20:15:58 UTC
SOFTWARE VERSION:
1.2009.41-13

STEPS TO REPRODUCE THE PROBLEM:
Open media player, open internet radios, choose add radio station bookmark
(leave dialog open), switch to browser, open audio stream url, media player is
opened but the dialog is not shown.

EXPECTED OUTCOME:
Media player opens the audio stream and shows the previously opened dialog.

ACTUAL OUTCOME:
Media player is opened and stream is audible but the dialog is missing. Media
player does not respond to any screen clicks but the task switcher shows the
open dialog (add radio station bookmark). Exit button for media player is
missing from task switcher.

REPRODUCIBILITY:
Always

EXTRA SOFTWARE INSTALLED:
Tons of extras sw, extras-dev and own in-development sw.

OTHER COMMENTS:
I remember running into a similar situation before with a platform application
but forgot to write down how to reproduce.

User-Agent:       Mozilla/5.0 (X11; U; Linux armv7l; en-GB; rv:1.9.2a1pre)
Gecko/20090928 Firefox/3.5 Maemo Browser 1.4.1.15 RX-51 N900
Comment 1 Michael Hasselmann 2009-11-09 12:30:37 UTC
I can confirm the frozen dialog of the media player (after open a stream w/
browser).

It seems the modal dialog (to add a new radio station as bookmark) is still
opened, therefore blocking the other dialog. Perhaps a fault with the window
manager?
Comment 2 Michael Hasselmann 2009-11-09 12:32:25 UTC
Actually, it's even worse. The media player cannot be closed (no close button).
I wonder what the average user will do to get around that ...
Comment 3 samurairx7 2009-12-07 23:24:02 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 Andre Klapper maemo.org 2010-01-14 12:32:51 UTC
Today Nokia released the Maemo5 update version 2.2009.51-1 for public (also
called "PR1.1" sometimes).
If you have some time we kindly ask you to test again if the problem reported
here still happens in this new version - just leave a comment (and feel free to
update the "Version" field to the new version if it's still a problem).
Comment 5 Michael Hasselmann 2010-01-15 01:21:40 UTC
Still applies for 2.2009.51-1 → bumped version.
It is still the very same behaviour.
Comment 6 Andre Klapper maemo.org 2010-01-15 17:51:57 UTC
Can somebody please provide an exact example in order to reproduce (exact
steps, click by click, with an exact URL to reproduce)?
Comment 7 Jan Arne Petersen 2010-01-15 18:02:31 UTC
1. Open "Media Player"
2. Click on "Internet Radio"
3. Click on "Add radio bookmark" in application menu to open "Add radio
bookmark" dialog
4. Click on Task switcher button
5. Open Browser
6. Click on media stream link: for example
http://www.dradio.de/streaming/dlf.m3u from http://www.dradio.de

-> Bug
Comment 8 Andre Klapper maemo.org 2010-01-20 12:23:52 UTC
Fix will be to close the dialog when new link is opened.
Comment 9 Andre Klapper maemo.org 2010-04-09 15:22:42 UTC
This has been fixed for the next public update (PR1.2).

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/